Bug 185577 - certutil -R doesn't like the -y flag
certutil -R doesn't like the -y flag
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kai Engert (:kaie)
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-15 17:32 EST by Nalin Dahyabhai
Modified: 2008-07-11 19:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-12 09:54:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 330622 None None None Never

  None (edit)
Description Nalin Dahyabhai 2006-03-15 17:32:16 EST
Description of problem:
When I run "certutil -R" and supply an email address using the -y flag, I get an
error message.

Version-Release number of selected component (if applicable):
nss-tools-3.11-4

How reproducible:
Always

Steps to Reproduce:
1. mkdir /tmp/z
2. certutil -d /tmp/z -N
3. certutil -d /tmp/z -R -s 'cn=Nalin Dahyabhai' -a -o /tmp/z/nalin.req -y
nalin@redhat.com
  
Actual results:
I get this error message:
certutil -y: incorrect public exponent 0.Must be 3, 17, or 65537.

Expected results:
certutil would usually ask me to help it seed its RNG, and proceed as normally
Comment 1 Kai Engert (:kaie) 2006-03-15 18:13:06 EST
This bug is not about the RPM package, but about behaviour in the core NSS
product. I filed bug 
https://bugzilla.mozilla.org/show_bug.cgi?id=330622

Comment 2 Kai Engert (:kaie) 2006-04-12 09:54:42 EDT
Resolving as UPSTREAM, I hope that's the right thing to do.

Note You need to log in before you can comment on or make changes to this bug.